PKG-UPDATE(8)

NAME
pkg update - updates the local copy of a repository catalogue from the remote package repository

SYNOPSIS
pkg update [-fq]

DESCRIPTION
pkg update is used for updating the local copy of a repository catalogue from the remote package repository database. Updates to catalogues are normally downloaded only when the master copy on the remote package repository is newer than the local copy.

The repository catalogues to be updated are defined in the pkg.conf(5) file.

It is always a good idea to update your package repository catalogues before doing a remote install via pkg-install(8) or upgrades via pkg-upgrade(8).

  Signed repositories
If the repository catalogue is signed and PUBKEY is defined, the signature will be verified after download. See pkg.conf(5) for more information.

OPTIONS
The following options are supported by pkg update:

-q  Force quiet output

-f  Force a full download of the repository catalogue without regard to the respective ages of the local and remote copies of the catalogue

ENVIRONMENT
The following environment variables affect the execution of pkg update. See pkg.conf(5) for further description.

PACKAGESITE

PKG_DBDIR

PKG_MULTIREPOS

PUBKEY

FILES
See pkg.conf(5).

SEE ALSO
pkg.conf(5), pkg(8), pkg-add(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-convert(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)